<div class="container-fluid">
	<h2>
		<span class="title" jhiTranslate="pcidssApp.expectedTest.home.title">List
			of Expected Tests</span>
	</h2>
	<div class="row mb-2 float-right">
		<label class="heading" for="search">Filter:</label>
		<div class="">
			<input class="form-control ml-3 col-sm-10" #search (keyup)="0">
		</div>
	</div>
	<br />
	<div class="table-responsive" *ngIf="expectedTests">
		<table class="table table-striped table-bordered">
			<thead>
				<tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse"
					[callback]="transition.bind(this)">
					<th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span>
						<span class="fa fa-sort"></span></th>
					<th style="width: 50%" jhiSortBy="testName"><span
						jhiTranslate="pcidssApp.expectedTest.testName">Test Name</span> <span
						class="fa fa-sort"></span></th>
					<th class="action">Action</th>
				</tr>
			</thead>
			<tbody>
				<tr
					*ngFor="let expectedTest of (expectedTests | filterExpectedTest: search.value); trackBy: trackId">
					<td>{{expectedTest.id}}</td>
					<td>{{expectedTest.testName}}</td>
					<td class="text-right">
						<div>
							<button type="submit" class="btn btn-sm action-btn view"
								[routerLink]="['/saq/admin/expected-test', expectedTest.id]"
								replaceUrl="true">
								<span class="fa fa-eye"></span>
							</button>
							<button type="submit" replaceUrl="true"
								class="btn btn-sm action-btn edit"
								[routerLink]="['/saq/admin/expected-test', expectedTest.id, 'edit']"
								replaceUrl="true">
								<span class="fa fa-pencil"></span>
							</button>
							<button type="submit"
								[disabled]="!expectedTest.isExpectedTestExist"
								(click)="deleteExpectedTest(expectedTest)" class="btn btn-danger btn-sm action-btn">
								<span class="fa fa-trash"></span>
							</button>
						</div>
					</td>
				</tr>
			</tbody>
		</table>
	</div>
	<div *ngIf="expectedTests && expectedTests.length" class="float-right">
		<div class="row justify-content-center">
			<jhi-item-count [page]="page" [total]="queryCount"
				[itemsPerPage]="itemsPerPage"></jhi-item-count>
		</div>
		<div class="row justify-content-center">
			<ngb-pagination [collectionSize]="totalItems" [(page)]="page"
				(pageChange)="loadPage(page)"></ngb-pagination>
		</div>
	</div>
</div>